# NAME

Trf_WriteProc - Interface to procedures used by an encoder/decoder to write its transformation results.

# SYNOPSIS

    #include <transform.h>

    int Trf_WriteProc
    (
    	ClientData clientData,
    	unsigned char *outString,
    	int outLen,
    	Tcl_Interp *interp
    );

# PARAMETERS

ClientData clientData
  Arbitrary information, defined during controlblock creation.
unsigned char *outString
  Buffer with characters to write.
int outLen
  Number of characters in buffer.
Tcl_Interp *interp
  Interpreter for error messages (NULL possible).

# DESCRIPTION

Procedures of this type are called by an encoder/decoder to write (partial) transformation results, decoupling the final destination from result generation. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs